Skip to main content

Register

email
string
required
Your email address.
business_name
string
required
Your business or company name.
password
string
required
Password (minimum 8 characters).
curl -X POST https://api.paypulse.cv/api/v1/auth/register \
  -H "Content-Type: application/json" \
  -d '{
    "email": "you@company.com",
    "business_name": "Acme Inc",
    "password": "securepassword123"
  }'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "email": "you@company.com",
  "business_name": "Acme Inc",
  "access_token": "eyJhbGciOiJIUzI1NiIs...",
  "api_keys": [
    {
      "id": "...",
      "name": "Test Key",
      "key": "pp_test_xxxxxxxxxxxx",
      "key_prefix": "pp_test_",
      "is_live": false
    }
  ],
  "created_at": "2026-01-15T10:30:00Z"
}

Login

email
string
required
Your registered email.
password
string
required
Your password.
curl -X POST https://api.paypulse.cv/api/v1/auth/login \
  -H "Content-Type: application/json" \
  -d '{
    "email": "you@company.com",
    "password": "securepassword123"
  }'
{
  "access_token": "eyJhbGciOiJIUzI1NiIs...",
  "token_type": "bearer"
}

Get current merchant

Authorization
string
required
Bearer token from login.
curl https://api.paypulse.cv/api/v1/auth/me \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "email": "you@company.com",
  "business_name": "Acme Inc",
  "is_active": true,
  "is_verified": false
}